Update chillispot to 1.0RC3, uniformize package Makefile, move ipkg related files...
[openwrt.git] / openwrt / package / chillispot / ipkg / chillispot.init
diff --git a/openwrt/package/chillispot/ipkg/chillispot.init b/openwrt/package/chillispot/ipkg/chillispot.init
new file mode 100644 (file)
index 0000000..289b1fe
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+RUN_D=/var/run
+PID_F=$RUN_D/chilli.pid
+
+case $1 in
+ start)
+  /sbin/insmod tun >/dev/null 2>&1
+  [ -d $RUN_D ] || mkdir -p $RUN_D
+  /usr/sbin/chilli
+  ;;
+ stop)
+  [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+  ;;
+ *)
+  echo "usage: $0 (start|stop)"
+  exit 1
+esac
+
+exit $?